Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class ServletEndpointContextImpl

    java.lang.Object
      org.apache.axis.transport.http.ServletEndpointContextImpl

All Implemented Interfaces:
  javax.xml.rpc.server.ServletEndpointContext

public class ServletEndpointContextImpl
extends Object
implements javax.xml.rpc.server.ServletEndpointContext

Constructor Summary
`ServletEndpointContextImpl()`

Method Summary
`javax.servlet.http.HttpSession` | `getHttpSession()`
`javax.xml.rpc.handler.MessageContext` | `getMessageContext()`
`javax.servlet.ServletContext` | `getServletContext()`
`Principal` | `getUserPrincipal()`
`boolean` | `isUserInRole(String role)` Returns a boolean indicating whether the authenticated user for the current method invocation on the endpoint instance is included in the specified logical "role".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletEndpointContextImpl

    public ServletEndpointContextImpl()

Method Detail

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Specified by:
    `getHttpSession` in interface `javax.xml.rpc.server.ServletEndpointContext`

### getMessageContext

    public javax.xml.rpc.handler.MessageContext getMessageContext()

  Specified by:
    `getMessageContext` in interface `javax.xml.rpc.server.ServletEndpointContext`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.xml.rpc.server.ServletEndpointContext`

### isUserInRole

    public boolean isUserInRole(String role)

  Returns a boolean indicating whether the authenticated user for the current method invocation on the endpoint instance is included in the specified logical "role".

  Specified by:
    `isUserInRole` in interface `javax.xml.rpc.server.ServletEndpointContext`
  Parameters:
    `role` - a String specifying the name of the role
  Returns:
    a boolean indicating whether the authenticated user associated with the current method invocation belongs to a given role; false if the user has not been authenticated

### getUserPrincipal

    public Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `javax.xml.rpc.server.ServletEndpointContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.